<script type='text/javascript'>
jQuery(document).ready(function($){
	
	var frissitesek_object = {
		getAllUpdates: function(){
			return <?=$frissitesek_json?>;
		},
		getUpdateByID: function(frissites_id){
			var updates = this.getAllUpdates();
			var len = updates.length;
			
			for(var i = 0; i < len; i++){
				if(updates[i].ver_id == frissites_id){
					return updates[i];
				}
			}
			
			return false;
		}
	};
	
	$('#frissitesformdoboz').dialog({
		autoOpen: false,
		modal: true,
		width: 650,
		buttons: {
			'Módosítás': function(){
				var con = $('#frissitesformdoboz');
				guid($('#azonosito', con).val(),$('#datum', con).val(),$('#frissites'),$('#projectid', con).val(),$('#fajl', con).val(),$('#pkgid', con).val());
			},
			'Mégsem': function(){
				$('#frissitesformdoboz').dialog('close');
			}
		}
	});
	
	$('#ujfrissitesformdoboz').dialog({
		autoOpen: false,
		modal: true,
		width: 650,
		buttons: {
			'Létrehoz': function(){
				var con = $('#ujfrissitesformdoboz');
				guid($('#azonosito', con).val(),$('#datum', con).val(),$('#ujfrissites'),$('#projectid', con).val(),$('#fajl', con).val(),$('#pkgid', con).val());
			},
			'Mégsem': function(){
				$('#ujfrissitesformdoboz').dialog('close');
			}
		}
	});
	
	
	// frissítés szerkesztés
	$('.editupd').click(function(){
		var con = $('#frissitesformdoboz');
		var event = $(this).parents('.projectinfok');
		
		
		
		var frissites = frissitesek_object.getUpdateByID(event.attr('verid'));
		$('#ver_id',    con).val(frissites.ver_id);
	//	$('#projectid', con).val(frissites.projectid);
		$('#pkgid',     con).val(frissites.pkgid);
		$('#ev',        con).val(frissites.ev);
		$('#usertype2', con).val(frissites.usertype);
		$('#azonosito', con).val(frissites.azonosito);
		$('#datum',     con).val(frissites.datum);
		$('#leiras',    con).val(frissites.leiras);
		$('#leiras_hun', con).val(frissites.leiras_hun);
		$('#tipus',     con).val(frissites.tipus);
		$('#doksi',     con).val(frissites.doksi);
		$('#doksi_hun', con).val(frissites.doksi_hun);
		$('#hash',      con).val(frissites.hash);
		
		
		
		if(frissites.usertype == "all"){
			$('#userekall', con).attr('checked', 'checked');
			$('#usertype2', con).attr('readonly', 'true');
			$('#usertype2').css({'background': '#999'});
		}else{
			$('#userekxy', con).attr('checked', 'checked');
		}
		
		
		if(frissites.csendes === '1'){
			$('#csendes', con).attr('checked', 'checked');
		} else {
			$('#csendes', con).attr('checked', '');
		}
		
		if(frissites.aktiv === '1'){
			$('#aktiv', con).attr('checked', 'checked');
		} else {
			$('#aktiv', con).attr('checked', '');
		}
		
		if(frissites.public === '1'){
			$('#public', con).attr('checked', 'checked');
		} else {
			$('#public', con).attr('checked', '');
		}
		
		
		var volt = false;
		$('#fajl option', con).each(function(){
			if($(this).text() == frissites.fajl){
				$(this).attr('selected','selected');
				volt = true;
			}
		});
		if(!volt){
			$('#fajl option', con).each(function(){
				$(this).attr('selected','');
			});
		}
		
		
		var volt2 = false;
		$('#doksi option', con).each(function(){
			if($(this).text() == frissites.doksi){
				$(this).attr('selected','selected');
				volt2 = true;
			}
		});
		if(!volt2){
			$('#doksi option', con).each(function(){
				$(this).attr('selected','');
			});
		}
		
		
		var volt3 = false;
		$('#projectid option', con).each(function(){
			if($(this).val() == frissites.projectid){
				$(this).attr('selected','selected');
				volt3 = true;
			}
		});
		if(!volt3){
			$('#projectid option', con).each(function(){
				$(this).attr('selected','');
			});
		}
		
		//open the dialog
		$('#frissitesformdoboz').dialog('open');
		
		return false;
	});
	
		
	// új frissítés
	$('.newupdate').click(function(){
		var con = $('#ujfrissitesformdoboz');
		
		$('#usertype1').css({'background': '#fff'});
		
		$('#ujfrissitesformdoboz').dialog('open');
		return false;
	});
	
	
	$('.frissiteseket').click(function(){
		var allapot = $('#frissitesekdoboz').css("display");
		if(allapot == "none")
			$('#frissitesekdoboz').css({'display': 'block'});
		else
			$('#frissitesekdoboz').css({'display': 'none'});
	});
	
	$('.numeric').numeric();
	
	$('.tlcrash').tablesorter({
		cssHeader: 'tableHeader',
		headers: { 0: { sorter: false } }
	})
	
});

function inArray(tomb, ertek) {
	for(var i = 0, l = tomb.length; i < l; i++) {
		if(tomb[i] == ertek) {
			return true;
		}
	}
	return false;
}

function uservalt(l,hol){
	var ousertype = document.getElementById(hol);
	ousertype.readOnly = l;
	if(l){
		$('#usertype2').css({'background': '#999'});
		$('#usertype1').css({'background': '#999'});
	}
	else{
		$('#usertype2').css({'background': 'none'});
		$('#usertype1').css({'background': 'none'});
	}
}

function projektvalt(ertek,uj){
	if(uj == "uj")
		var con = jQuery('#ujfrissitesformdoboz');
	else
		var con = jQuery('#frissitesformdoboz');
	
	if( ertek == "ArchlineXP2011" ){
		var tkod = jQuery('#azonosito', con).val('{115DEB15-0AEA-4C9C-BD1F-39079D540AA4}');
	}
	else if( ertek == "ArchlineXP2012" ){
		var tkod = jQuery('#azonosito', con).val('{8D322C6F-87A6-4487-B47D-15BF449DAEF3}');
	}
	else if( ertek == "ArchlineXP2013" ){
		var tkod = jQuery('#azonosito', con).val('{ED16D274-2ED8-4060-A476-125766AED6F1}');
	}
	else if( ertek == "ArchlineXP2013x64" ){
		var tkod = jQuery('#azonosito', con).val('{EB0715EC-B1DD-4895-908D-2D4F4A4278A2}');
	}
		else if( ertek == "ArchlineXP2014" ){
		var tkod = jQuery('#azonosito', con).val('{B0C052BC-EE04-47A5-AE2D-658825856F5A}');
	}
	else if( ertek == "ArchlineXP2014x64" ){
		var tkod = jQuery('#azonosito', con).val('{20B68A7C-83CF-4CE7-984E-3AE68CEA8B8E}');
	}
	else{
		var tkod = jQuery('#azonosito', con).val('');
	}
	<?//=$utolso?>
}

function guid(v,v2,ezt,prid,fajlnev,build){
	var reg = /^{[A-Z0-9]{8}-[A-Z0-9]{4}-[A-Z0-9]{4}-[A-Z0-9]{4}-[A-Z0-9]{12}}$/;
	if( frissitesfajl(prid,fajlnev,build) ){
		if( datumido(v2) & v == "" ){
			if(confirm("Biztos nincs termékkód?"))
				ezt.submit();
		}
		else if(reg.test(v) & datumido(v2) )
			ezt.submit();
		else if(!reg.test(v)){
			alert("Hibás guid formátum: "+v+"\n\n helyes forma pl: {88888888-4444-4444-4444-121212121212}");
		}
	}
}

function datumido(v){
	var reg = /^[0-9]{4}-[0-9]{2}-[0-9]{2} [0-9]{2}:[0-9]{2}:[0-9]{2}$/;
	if(reg.test(v)){
		return true;
	}else{
		alert("Hibás dátum formátum: "+v+"\n\n helyes forma pl: <?=date('Y-m-d H:i:s',time())?>");
		return false;
	}
}

function frissitesfajl(prid,fajlnev,build){
//	alert("prid: "+prid+"\n\nnKiválasztott fájl: "+fajlnev);
	
	if(prid != "ArchlineXP2010" && prid != "ArchlineXP2011" && prid != "ArchlineXP2012")
		return true;
	
	
	var reg = /Update/;
	var reg2 = new RegExp(build);
	if(reg.test(fajlnev) && reg2.test(fajlnev) ){
		return true;
	}else{
		if( !reg.test(fajlnev) ){
			alert("Frissítés esetén a fájlnévnek tartalmaznia kell az 'Update' szöveget!\n\nKiválasztott fájl: "+fajlnev);
		}
		else{
			alert("Frissítés esetén a fájlnévnek tartalmaznia kell az megadott build számot ("+build+")!\n\nKiválasztott fájl: "+fajlnev);
		}
		return false;
	}
}

</script>


<style>
	div.frissiteseket{
		cursor: pointer;
		margin: 0 0 20px 5px;
		padding: 3px;
		border: 1px solid black;
		width: 210px;
		background: #f80;
		text-align: center;
	}
	
	#frissitesekdoboz{
		margin: 10px 0px 20px 0px;
		background: #ffd;
		/*width: 550px;*/
		display: none;
	}
	
	#frissitesformdoboz{
		margin: 10px 0px 20px 0px;
		background: #ffd;
		width: 450px;
		display: none;
	}
	
	#frissitesformdoboz td{
		text-align: left;
	}
	
	#ujfrissitesformdoboz td{
		text-align: left;
	}
	
	#ujfrissitesformdoboz input, #frissitesformdoboz input{
		width: 410px;
	}
	
	#tlcrash thead th{
		cursor: pointer;
	}
</style>



<p class="projectinfok" verid="1182">
	<br />
	<a class="editupd" href="#" style="border: 1px solid #888888; padding: 3px; border-radius: 3px;">
	<b>Automatikus kód küldés beállítasa országokhoz/kulcsokhoz</b>
	</a>
	<br /><br />
</p>



<div class="frissiteseket"><strong>Frissítések, telepítők szerkesztése</strong></div>
<div id="frissitesekdoboz">

<div class="newupdate frissiteseket" style="width: 90px;"><strong>Új frissítés</strong></div>

<?if(!$frissitesek):?>
	Nincsenek frissítések az adatbázisban
<?else:?>
<b>2014-es telepítők</b>
<table cellpadding="5px" cellspacing="0" class="tlcrash" id="tlcrash">
<thead>
	<tr>
		<th>&nbsp;</th>
		<th>Projekt</th>
		<th>Build</th>
		<th>Fájl</th>
		<th title="Fájl feltöltés dátuma a szerverre(?), az xml-ből olvasom ki ezt az értéket">Dátum</th>
	</tr>
</thead>
<tbody>
	<?foreach($frissitesek as $frissites):?>
	<?if($frissites->ver_id==1182) continue;?>
	<?
		if(!isset($ev)) $ev = $frissites->ev;
		else{
			if($ev != $frissites->ev && $ev==2014){
				$ev = $frissites->ev;?>
				</tbody>
				</table><br><br>
				<b>2014 előtti telepítők</b>
				<table cellpadding="5px" cellspacing="0" class="tlcrash">
				<thead>
					<tr>
						<th>&nbsp;</th>
						<th>Projekt</th>
						<th>Build</th>
						<th>Fájl</th>
						<th title="Fájl feltöltés dátuma a szerverre(?), az xml-ből olvasom ki ezt az értéket">Dátum</th>
					</tr>
				</thead>
				<tbody>
				<?
			}
		}
	?>
	<tr class="projectinfok" verid="<?=$frissites->ver_id?>">
		<td>
			<a href="javascript:delQue('admin/updatedelete/<?=$frissites->ver_id?>','Biztosan törli?')">
			<span class="news-delete"><?=$this->lang->line('downloads_button_delete')?></span>
			</a>
		</td>
		<td>
			<a class="editupd" href="#" <?if($frissites->aktiv=="0"):?> style="color: #a00"<?endif;?>>
			<?if(!file_exists('public/downloads/'.$frissites->fajl)):?><font color="#f00"><?=$frissites->projectid?></font>
			<?else:?><?=$frissites->projectid?>
			<?endif;?>
			</a>
		</td>
		<td>
			<a class="editupd" href="#" <?if($frissites->aktiv=="0"):?> style="color: #a00"<?endif;?>>
			<?if(!file_exists('public/downloads/'.$frissites->fajl)):?><font color="#f00" <?=$frissites->pkgid?></font>
			<?else:?><?=$frissites->pkgid?>
			<?endif;?>
			</a>
		</td>
		<td>
			<a class="editupd" href="#" <?if($frissites->aktiv=="0"):?> style="color: #a00"<?endif;?>>
			<?if(!file_exists('public/downloads/'.$frissites->fajl)):?><font color="#f00"><?=$frissites->fajl?></font>
			<?else:?><?=$frissites->fajl?>
			<?endif;?>
			</a>
		</td>
		<td>
			<a class="editupd" href="#" <?if($frissites->aktiv=="0"):?> style="color: #a00"<?endif;?>>
			<?if(!file_exists('public/downloads/'.$frissites->fajl)):?><font color="#f00"><?=$frissites->datum?></font>
			<?else:?><?=$frissites->datum?>
			<?endif;?>
			</a>
		</td>
	</tr>
	<?endforeach;?>
</tbody>
</table>
<?endif;?>
<br><br><a href="/public/downloads/eng/releasenotesupdate.txt" style="padding-left: 15px;">Release notes frissítés menetének leírása</a>
</div>



<h2><?=$this->lang->line('downloads_h1_new')?></h2>
<p>
	<input type="button" value="<?=$this->lang->line('downloads_button_new')?>" onclick="window.location.href='/admin/downloadsedit/new'"/>
</p>
<p>&nbsp;</p>
<h2><?=$this->lang->line('downloads_h1_list')?></h2>
<?if(!$downloads):?>
	Nincsenek hírek az adatbázisban
<?else:?>
	<?foreach($downloads as $dl):?>
		<p>
			<a href="javascript:delQue('admin/downloadsdelete/<?=$dl->download_id?>','Biztosan törli?')"><span class="news-delete"><?=$this->lang->line('downloads_button_delete')?></span></a>
			<?=anchor('admin/downloadsedit/'.$dl->download_id,$dl->download_title)?>
		</p>
	<?endforeach;?>
<?endif;?>



<div id="frissitesformdoboz">
	<form action="/admin/set_update" method="post" name="frissites" id="frissites">
		<input type="hidden" name="ver_id" id="ver_id" value="" />
		<table>
			<tr>
				<td><strong>Projekt neve: </strong></td>
				<td>
				<?/**/?><select name="projectid" id="projectid" onchange="projektvalt(this.value,'regi')">
					<option value=""></option>
					
					<option value="ArchlineXP2014x64">2014 (64) online frissítés</option>
					<option value="ARCHLineXP_2014_majorx64">2014 (64) főváltozat</option>
					
					<option value="ArchlineXP2014">2014 (32) online frissítés</option>
					<option value="ARCHLineXP_2014_major">2014 (32) főváltozat</option>
					<option value="ARCHLineXP_2014_patch">2014 hibajavító</option>
					
					<option value="ArchlineXP2013x64">2013 (64) online frissítés</option>
					<option value="ARCHLineXP_2013_majorx64">2013 (64) főváltozat</option>
					
					<option value="ArchlineXP2013">2013 (32) online frissítés</option>
					<option value="ARCHLineXP_2013_major">2013 (32) főváltozat</option>
					<option value="ARCHLineXP_2013_patch">2013 hibajavító</option>
					
					<option value="ArchlineXP2012">2012 online frissítés</option>
					<option value="ARCHLineXP_2012_major">2012 főváltozat</option>
					<option value="ARCHLineXP_2012_patch">2012 hibajavító</option>
					
				<?/*	<option value="ArchlineXP2011">2011-es online frissítés</option>
					<option value="ARCHLineXP_2011_major">2011-es főváltozat</option>
					<option value="ARCHLineXP_2011_patch">2011-es hibajavító</option>
					
					<option value="ArchlineXP2010">2010-es online frissítés</option>
					<option value="ARCHLineXP_2010_major">2010-es főváltozat</option>
					<option value="ARCHLineXP_2010_patch">2010-es hibajavító</option>	*/?>
				</select>
				<?/**/?>
				<?/*<input type="text" name="projectid" id="projectid" value="" />*/?>
				</td>
			</tr>
			<tr>
				<td><strong>Build szám: </strong></td>
				<td><input type="text" name="pkgid" id="pkgid" value="" class="numeric" /></td>
			</tr>
			<tr>
				<td><strong>Verzió éve: </strong></td>
				<td><input type="text" name="ev" id="ev" class="numeric" value="" /></td>
			</tr>
			<tr>
				<td valign="top"><strong>Felhasználók: </strong></td>
				<td>
					<table><tr>
						<td><input type="radio" name="userek" id="userekall" value="all" onclick="uservalt(true,'usertype2')" style="width: 20px;" /></td>
						<td>Mindenki</td>
					</tr><tr>
						<td valign="top"><input type="radio" name="userek" id="userekxy" value="xy" onclick="uservalt(false,'usertype2')" style="width: 20px;" /></td>
						<td><textarea name="usertype" id="usertype2" rows="2" cols="43"></textarea></td>
					</tr><tr>
						<td>&nbsp;</td>
						<td>
							Adott felhasználók esetén a kulcsokat ;-vel kell elválasztani, pl: <em>;44;360012;360023;</em><br />
						</td>
					</tr></table>
				</td>
			</tr>
			<tr>
				<td><strong>Fájl: </strong></td>
				<td>
					<select name="fajl" id="fajl">
						<option value="">  -- Válasszon --  </option>
						<?foreach($fajlok as $fajl):?>
						<option value="<?=$fajl?>"><?=$fajl?></option>
						<?endforeach;?>
					</select>
				</td>
			</tr>
			<tr>
				<td><strong>Típus: </strong></td>
				<td>
					<input type="text" name="tipus" id="tipus" /><br />
					<p style="padding-left: 20px; margin-top: 0px;">A <a style="color: #33f;" href="/version" target="_blank">Letöltési központ oldalon</a> ez jelenik meg a típusnál, pl: <em>Patch</em></p>
				</td>
			</tr>
			<tr>
				<td><strong>Termékkód: </strong></td>
				<td><input type="text" name="azonosito" id="azonosito" value="" /></td>
			</tr>
			<tr>
				<td><strong>Hash: </strong></td>
				<td><input type="text" name="hash" id="hash" value="" /></td>
			</tr>
			<tr>
				<td><strong>Dátum: </strong></td>
				<td><input type="text" name="datum" id="datum" value="" /></td>
			</tr>
			<tr>
				<td><strong>Rövid leírás (eng): </strong></td>
				<td><textarea name="leiras" id="leiras" rows="2" cols="47"></textarea></td>
			</tr>
			<tr>
				<td><strong>Rövid leírás (hun): </strong></td>
				<td><textarea name="leiras_hun" id="leiras_hun" rows="2" cols="47"></textarea></td>
			</tr>
			<tr>
				<td><strong>Hosszú leírás link (eng): </strong></td>
				<td><input name="doksi" id="doksi" /></td>
			</tr>
			<tr>
				<td><strong>Hosszú leírás link (hun): </strong></td>
				<td><input name="doksi_hun" id="doksi_hun" /></td>
			</tr>
			<tr>
				<td><strong>"Csendes telepítés": </strong></td>
				<td><input type="checkbox" name="csendes" id="csendes" style="width: 20px;" /></td>
			</tr>
			<tr>
				<td><strong>Aktív: </strong></td>
				<td><input type="checkbox" name="aktiv" id="aktiv" style="width: 20px;" /></td>
			</tr>
			<tr>
				<td><strong>Publikus: </strong></td>
				<td>
					<input type="checkbox" name="public" id="public" style="width: 20px;" />
					A <a style="color: #33f;" href="/version" target="_blank">Letöltési központ oldalon</a> megjelenjen-e, ha aktív.
				</td>
			</tr>
		</table>
	</form>
</div>


<div id="ujfrissitesformdoboz">
	<form action="/admin/newupdate" method="post" name="ujfrissites" id="ujfrissites">
		<table>
			<tr>
				<td><strong>Projekt neve: </strong></td>
				<td>
				<select name="projectid" id="projectid" onchange="projektvalt(this.value,'uj')" >
					<option value=""></option>
					<option value="ArchlineXP2014x64">2014 (64) online frissítés</option>
					<option value="ARCHLineXP_2014_major64">2014 (64) főváltozat</option>
					
					<option value="ArchlineXP2014">2014 (32) online frissítés</option>
					<option value="ARCHLineXP_2014_major">2014 (32) főváltozat</option>

					<option value="ArchlineXP2013x64">2013 (64) online frissítés</option>
					<option value="ARCHLineXP_2013_major64">2013 (64) főváltozat</option>
					
					<option value="ArchlineXP2013">2013 (32) online frissítés</option>
					<option value="ARCHLineXP_2013_major">2013 (32) főváltozat</option>
					
					<option value="ArchlineXP2012">2012-es online frissítés</option>
					<option value="ARCHLineXP_2012_major">2012-es főváltozat</option>
					<option value="ARCHLineXP_2012_patch">2012-es hibajavító</option>
					
				<?/*	<option value="ArchlineXP2011">2011-es online frissítés</option>
					<option value="ARCHLineXP_2011_major">2011-es főváltozat</option>
					<option value="ARCHLineXP_2011_patch">2011-es hibajavító</option>
					
					<option value="ArchlineXP2010">2010-es online frissítés</option>
					<option value="ARCHLineXP_2010_major">2010-es főváltozat</option>
					<option value="ARCHLineXP_2010_patch">2010-es hibajavító</option>*/?>
				</select>
				<?//<input type="text" name="projectid" id="projectid" value="" />?>
				</td>
			</tr>
			<tr>
				<td><strong>Build szám: </strong></td>
				<td><input type="text" name="pkgid" id="pkgid" value="" class="numeric" /></td>
			</tr>
			<tr>
				<td><strong>Verzió éve: </strong></td>
				<td><input type="text" name="ev" id="ev" class="numeric" value="2013" /></td>
			</tr>
		<?/*	<tr>
				<td><strong>Nyelv: </strong></td>
				<td>
					<select name="lang[]" id="lang" size="5" multiple="true" style="width: 180px;">
					<option value="99" selected="selected">Minden nyelv</option>
					<option value="0">en-GB</option>
					<option value="1">it-IT</option>
					<option value="2">es-ES</option>
					<option value="3">hu-HU</option>
					<option value="4">de-AT</option>
					<option value="5">el-GR</option>
					<option value="6">cs-CZ</option>
					<option value="7">pl-PL</option>
					<option value="8">en-GB</option>
					<option value="9">nl-NL</option>
					<option value="10">ko-KR</option>
					<option value="11">ja-JP</option>
					</select>
				</td>
			</tr>*/?>
			<tr>
				<td valign="top"><strong>Felhasználók: </strong></td>
				<td>
					<table><tr>
						<td><input type="radio" name="userek" id="userekall" value="all" onclick="uservalt(true,'usertype1')" style="width: 20px;" /></td>
						<td>Mindenki</td>
					</tr><tr>
						<td valign="top"><input type="radio" name="userek" id="userekxy" value="xy" checked="true" onclick="uservalt(false,'usertype1')" style="width: 20px;" /></td>
						<td><textarea name="usertype" id="usertype1" rows="2" cols="45" readonly="false">;360012;</textarea></td>
					</tr><tr>
						<td>&nbsp;</td>
						<td>
							Adott felhasználók esetén a kulcsokat ;-vel kell elválasztani, pl: <em>;44;360012;360023;</em>
							<br />
							A <a style="color: #33f;" href="/version" target="_blank">Letöltési központ oldalon</a> csak az jelenik meg, amely <em>mindenkinek (all)</em> szól.
						</td>
					</tr></table>
				</td>
			</tr>
			<tr>
				<td><strong>Fájl: </strong></td>
				<td>
					<select name="fajl" id="fajl">
						<option value="">  -- Válasszon --  </option>
						<?foreach($fajlok as $fajl):?>
						<option value="<?=$fajl?>"><?=$fajl?></option>
						<?endforeach;?>
					</select>
				</td>
			</tr>
			<tr>
				<td><strong>Típus: </strong></td>
				<td>
					<input type="text" name="tipus" id="tipus" /><br />
					<p style="padding-left: 20px; margin-top: 0px;">A <a style="color: #33f;" href="/version" target="_blank">Letöltési központ oldalon</a> ez jelenik meg a típusnál, pl: <em>Patch</em></p>
				</td>
			</tr>
			<tr>
				<td><strong>Termékkód: </strong></td>
				<td><input type="text" name="azonosito" id="azonosito" value="" /></td>
			</tr>
			<tr>
				<td><strong>Hash: </strong></td>
				<td><input type="text" name="hash" id="hash" value="" /></td>
			</tr>
			<tr>
				<td><strong>Dátum: </strong></td>
				<td><input type="text" name="datum" id="datum" value="<?=date('Y-m-d H:i:s',time())?>" /></td>
			</tr>
			<tr>
				<td><strong>Rövid leírás (eng): </strong></td>
				<td><textarea name="leirasuj" id="leirasuj" rows="2" cols="45"></textarea></td>
			</tr>
			<tr>
				<td><strong>Rövid leírás (hun): </strong></td>
				<td><textarea name="leirasuj_hun" id="leirasuj_hun" rows="2" cols="45"></textarea></td>
			</tr>
			<tr>
				<td><strong>Hosszú leírás link (eng): </strong></td>
				<td><input name="doksi" id="doksi" /></td>
			</tr>
			<tr>
				<td><strong>Hosszú leírás link (hun): </strong></td>
				<td><input name="doksi_hun" id="doksi_hun" /></td>
			</tr>
			<tr>
				<td><strong>"Csendes telepítés": </strong></td>
				<td><input type="checkbox" name="csendes" id="csendes" checked="true" style="width: 20px;" /></td>
			</tr>
			<tr>
				<td><strong>Aktív: </strong></td>
				<td><input type="checkbox" name="aktiv" id="aktiv" checked="true" style="width: 20px;" /></td>
			</tr>
			<tr>
				<td><strong>Publikus: </strong></td>
				<td>
					<input type="checkbox" name="public" id="public" style="width: 20px;" />
					A <a style="color: #33f;" href="/version" target="_blank">Letöltési központ oldalon</a> megjelenjen-e, ha aktív.
				</td>
			</tr>
		</table>
	</form>
</div>

<script type="text/javascript" src="/public/editor/fckeditor.js"></script>
<script type="text/javascript">
window.onload = function()
{
	var oFCKeditor = new FCKeditor( 'leirasuj' ) ;
	oFCKeditor.BasePath = "/public/editor/";
	oFCKeditor.Height="80";
	oFCKeditor.Width="450";
	oFCKeditor.ToolbarSet="downloads_update";
	oFCKeditor.ReplaceTextarea() ;
	
	var oFCKeditor = new FCKeditor( 'leirasuj_hun' ) ;
	oFCKeditor.BasePath = "/public/editor/";
	oFCKeditor.Height="80";
	oFCKeditor.Width="450";
	oFCKeditor.ToolbarSet="downloads_update";
	oFCKeditor.ReplaceTextarea() ;
	
	var oFCKeditor = new FCKeditor( 'leiras' ) ;
	oFCKeditor.BasePath = "/public/editor/";
	oFCKeditor.Height="80";
	oFCKeditor.Width="450";
	oFCKeditor.ToolbarSet="downloads_update";
	oFCKeditor.ReplaceTextarea() ;
	
	var oFCKeditor = new FCKeditor( 'leiras_hun' ) ;
	oFCKeditor.BasePath = "/public/editor/";
	oFCKeditor.Height="80";
	oFCKeditor.Width="450";
	oFCKeditor.ToolbarSet="downloads_update";
	oFCKeditor.ReplaceTextarea() ;
}
</script>